org.apache.catalina.webresources.war

## Class WarURLConnection

- java.lang.Object
- - java.net.URLConnection
  - - org.apache.catalina.webresources.war.WarURLConnection

-     public class WarURLConnection
      extends URLConnection

- - ### Field Summary

    - ### Fields inherited from class java.net.URLConnection

      `allowUserInteraction, doInput, doOutput, ifModifiedSince, url, useCaches`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WarURLConnection(URL url)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connect()`
    `InputStream` | `getInputStream()`
    `long` | `getLastModified()`
    `Permission` | `getPermission()`

    - ### Methods inherited from class java.net.URLConnection

      `addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentLengthLong, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFieldLong, getHeaderFields, getIfModifiedSince, getOutputStream, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WarURLConnection

          protected WarURLConnection(URL url)
                              throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### connect

          public void connect()
                       throws IOException

      Specified by:
        `connect` in class `URLConnection`
      Throws:
        `IOException`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Overrides:
        `getInputStream` in class `URLConnection`
      Throws:
        `IOException`

    - #### getPermission

          public Permission getPermission()
                                   throws IOException

      Overrides:
        `getPermission` in class `URLConnection`
      Throws:
        `IOException`

    - #### getLastModified

          public long getLastModified()

      Overrides:
        `getLastModified` in class `URLConnection`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.